Skip to main content
POST
Create a fire-as-person action

Authorizations

Authorization
string
header
required

Path Parameters

campaignId
string
required
version
string
required
Pattern: (/version/.+)?
controllerId
string
required

Body

application/json

Body of a POST /v2/campaigns/{campaignId}{version:(/version/.+)?}/controllers/{controllerId}/actions/fire-as-person request.

as_person_identification
EMAIL · object
as_person_journey
object
component_ids
string[]
component_references
object[]
data
object
enabled

Choose between static or dynamic enabled

event_name

Choose between static or dynamic event name

event_time

Choose between static or dynamic event time

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

extra_data

Choose between static or dynamic extra data

labels
string[]
person_id

Choose between static or dynamic person id

quality
enum<string>
Available options:
ALWAYS,
HIGH,
LOW

Response

Successful response

action_id
string
action_type
enum<string>
Available options:
FIRE_AS_PERSON
component_ids
string[]
component_references
object[]
enabled

The enabled as configured: a literal value, or an expression (type:string) when defined dynamically.

quality
enum<string>
Available options:
ALWAYS,
HIGH,
LOW
as_person_identification
EMAIL · object
as_person_journey
object
data
object
event_name

The event name as configured: a literal value, or an expression (type:string) when defined dynamically.

event_time

The event time as configured: a literal value, or an expression (type:string) when defined dynamically.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

extra_data

The extra data as configured: a literal value, or an expression (type:string) when defined dynamically.

labels
string[]
person_id

The person id as configured: a literal value, or an expression (type:string) when defined dynamically.